petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMSetLabelValue

Add a point to a Sieve Label with given value

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMSetLabelValue(DM dm, const char name[], PetscInt point, PetscInt value)

Not Collective

### Input Parameters

| dm | - The DM object
| name | - The label name
| point | - The mesh point
| value | - The label value for this point

### Output Parameter

### See Also

DMLabelSetValue(), DMGetStratumIS(), DMClearLabelValue()

### Level

beginner

### Location

src/dm/interface/dm.c

### Examples

src/snes/examples/tutorials/ex56.c.html
src/snes/examples/tutorials/ex77.c.html
src/ts/examples/tutorials/ex11.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages